
var mojeUdalost;
var mojeKapitola;
var ludvik;
var antoinetta;
var lafayette;
var robespierre;
var danton;
var marat;
var napoleon;
var pruchod; 


window.onbeforeunload = function() {
  return "";
}


function prechod(zmizet, objevit) {
  document.getElementById(objevit).hidden = false;
  document.getElementById(zmizet).hidden = true;
}


function naplnInformace(a) {
  let text;

  switch (a) {


    case 0:
      text = "<label class='nadpis2'>Velká francouzská revoluce</label><br><p></p>";
      text =
        text +
        "<label style='font-size: smaller'>Francie se v posledních letech potácí na okraji státního bankrotu. Král Ludvík XVI. a ostatní šlechticové utrácí zbývající státní úspory za bujaré večírky. Král se snaží ztráty kompenzovat zaváděním dalších a dalších daní. Napětí ve společnosti a odpor ke šlechtě a monarchii postupně narůstá.</label><br><p></p>";
      break;


    case 1:
      text = "<label class='nadpis2'>Král Ludvík XVI.</label><br><p></p>";
      text =
        text +
        "<label style='font-size: smaller'>Francouzský král Ludvík XVI. vládne Francii, která prochází hospodářskou krizí. Svojí politikou a luxusním stylem života placeným z daní poddaných začíná pomalu rozdmýchávat nespokojenost lidu.</label><br><p></p>";
      break;

      case 2:
        text = "<label class='nadpis2'>Marie Antoinetta</label><br><p></p>";
        text =
          text +
          "<label style='font-size: smaller'>Marie Antoinetta je dcerou arcivévodkyně rakouské Marie Terezie. Byla provdána ze krále Ludvíka XVI., se kterým má tři děti.</label><br><p></p>";
        break;

        case 3:
          text = "<label class='nadpis2'>Maximilien Robespierre</label><br><p></p>";
          text =
            text +
            "<label style='font-size: smaller'>Robespierre je právníkem, který byl nedávno zvolen jako poslanec generálních stavů za třetí stav. Touží po osvobození Francie od nadvlády monarchů a šlechty, přestože sám prahne po moci.</label><br><p></p>";
          break;

          case 4:
            text = "<label class='nadpis2'>Georges Danton</label><br><p></p>";
            text =
              text +
              "<label style='font-size: smaller'>Právník Georges Danton je zakladatelem a jednou z vůdčích osobností politického klubu kordeliérů. Rád by ve Francii ukončil absolutistickou vládu krále.</label><br><p></p>";
            break;

            case 5:
              text = "<label class='nadpis2'>Jean Paul Marat</label><br><p></p>";
              text =
                text +
                "<label style='font-size: smaller'>Jean Paul Marat je vystudoval medicínu v Ženevě. Je to velmi inteligentní muž, který vydává vlastní noviny, kterými se snaží mezi lidmi šířit osvícenecké názory. Kvůli svojí kožní nemoci je nucen trávit většinu času ve vaně, aby si ulevil od bolesti.</label><br><p></p>";
              break;


              case 6:
                text = "<label class='nadpis2'>Gilbert du Motier, markýz de La Fayette</label><br><p></p>";
                text =
                  text +
                  "<label style='font-size: smaller'>Markýz de La Fayette je veteránem Americké války ze nezávislost, kde se podílel na porážce Britů. Nyní je vojenským důstojníkem ve Francii a přestože ze svým králem stojí, zastává názor, že by moc monarchů měla být omezena ústavou.</label><br><p></p>";
                break;


              case 7:
                text = "<label class='nadpis2'>Napoleon Bonaparte</label><br><p></p>";
                text =
                  text +
                  "<label style='font-size: smaller'>Napoleon Bonaparte se narodil na Korsice, později se stal důstojníkem francouzké armády. Momentálně má sice nízkou hodnost, ale má vysoké ambice dostat se na pozici generála a možná ještě výš.</label><br><p></p>";
                break;
  }

  document.getElementById("textInfo").innerHTML = text;

switch(a){
  case 0:
    document.getElementById("obrInfo").src="grafika/francie.jpg" ;
    break;

  case 1:
    document.getElementById("obrInfo").src="grafika/ludvík.jpg" ;
    break;
    
    case 2:
      document.getElementById("obrInfo").src="grafika/antoinetta.jpg" ;
      break; 

      case 3:
        document.getElementById("obrInfo").src="grafika/robespierre.jpg" ;
        break; 

        case 4:
          document.getElementById("obrInfo").src="grafika/danton.jpg" ;
          break; 

          case 5:
            document.getElementById("obrInfo").src="grafika/marat.jpg" ;
            break; 

            case 6:
              document.getElementById("obrInfo").src="grafika/lafayette.jpg" ;
              break; 

              case 7:
              document.getElementById("obrInfo").src="grafika/napoleon.jpg" ;
              break;
}
}



function zmenaBarvy(a)
{
  
  let pole = document.getElementsByClassName("barvy");
  for(let i=0; i<pole.length; i++)
  {
   
    switch(a)
    {
      case 1:
    pole[i].style.backgroundColor = "rgb(128, 128, 128)";
    pole[i].style.color = "rgb(0, 0, 0)";
    pole[i].style.border = "2px solid rgb(0, 0, 0)";
    break;

case 2:
  pole[i].style.backgroundColor = "rgb(0, 0, 0)";
  pole[i].style.color = "rgb(255, 0, 0)";
  pole[i].style.border = "2px solid rgb(255, 0, 0)";
break;
    }
  }

  let pole1 = document.getElementsByClassName("tlacitka");
  for(let i=0; i<pole1.length; i++)
  {
  pole1[i].insertRule(".hover { border: 2px solid rgb(255, 255, 255);}", 0);
  }
}





function novaHra() {
  document.getElementById("zpetInformace").onclick = function () {
    prechod("informace", "hra");
  };
  document.getElementById("pokracuj").onclick = function () {
    mojeKapitola.zacni();
  };

  document.getElementById("konzole").innerHTML="";
  document.getElementById("konzole2").innerHTML="";
  document.getElementById("konzoleMala").innerHTML="";

  ludvik = {stav: true, popularita: 50, vojsko: 100000, zdroje: 100000};
  antoinetta = {stav: true, popularita: 0, vojsko: 0, zdroje: 0};
  lafayette = {stav: true, popularita: 50, vojsko: 0, zdroje: 5000};
  robespierre = {stav: true, popularita: 50, vojsko: 0, zdroje: 50000};
  danton = {stav: true, popularita: 50, vojsko: 0, zdroje: 1000};
  marat = {stav: true, popularita: 50, vojsko: 0, zdroje: 1000};
  napoleon = {stav: true, popularita: 50, vojsko: 0, zdroje: 10000};

  mojeKapitola = new kapitola1();  
  prechod("hlavniMenu", "mezihra");
}



class kapitola{
constructor(a)
{
switch(a)
{
  case 1:
  document.getElementById("pokracuj").innerHTML="Pokračovat do kapitoly Počátek revoluce (Ludvík XVI.)";
  document.getElementById("obrazek").src="grafika/1.jpg";
  document.getElementById("konzole2").innerHTML="Francii hrozí bankrot a jelikož si král, královna i ostatní šlechta žijí na vysoké noze, začíná se nespokojenost ve společnosti stupňovat a hrozí revoluce. 5.5.1789 svolal král Ludvík XVI. generální stavy, aby všichni společně projednali řešení situace.";
  break;

  case 2:
  document.getElementById("pokracuj").innerHTML="Pokračovat do kapitoly Královna v exilu (Marie Antoinetta)";
  document.getElementById("obrazek").src="grafika/2.jpg";
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole2").innerHTML+"Po útěku do Rakouska začínají král s královnou plánovat, jak by se mohli vrátit na trůn. Marie Antoinetta se pokusí přemluvit Habsurky i další šlechtické rody, aby Ludvíkovi poskytly vojenskou podporu.";
  break;

  case 3:
  document.getElementById("pokracuj").innerHTML="Pokračovat do kapitoly Návrat krále (Gilbert du Motier, markýz de La Fayette)";
  document.getElementById("obrazek").src="grafika/3.jpg";
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole2").innerHTML+"Ludvíkova nově získaná armáda osvobodila z vězení La Fayetta, který zastával monarchistické názory a byl tedy revolucionáři uvězněn. Ludvík slíbil La Fayettovi snížení pravomocí šlechty a krále výměnou za La Fayettovy velitelské schopnosti při znovuzískání trůnu.";
  break;

  case 4:
  document.getElementById("pokracuj").innerHTML="Pokračovat do kapitoly Konstituční monarchie (Ludvík XVI.)";
  document.getElementById("obrazek").src="grafika/4.jpg";
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole2").innerHTML+"Revolucionáři přiměli krále podepsat novou ústavu, která mu odebrala téměř veškerou moc. Král s rodinou nyní přebývá v Tuilerijském paláci a očekává další vývoj revoluce.";
  break;

  case 5:
  document.getElementById("pokracuj").innerHTML="Pokračovat do kapitoly Francie republikou (Georges Danton)";
  document.getElementById("obrazek").src="grafika/5.jpg";
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole2").innerHTML+"Po králově neúspěšném pokusu o útěk do zahraničí se moci ujmuli girondisté, kteří vyhlásili republiku. Nyní je na nich, jak se vypořádají s uvězněným králem a armádami ostatních monarchů, jejichž cílem je udržet monarchii ve Francii. Do Národního konventu byl zvolen i kordeliér Georges Danton, který může ještě hodně zamíchat kartami ve prospěch svojí strany.";
  break;

  case 6:
  document.getElementById("pokracuj").innerHTML="Pokračovat do kapitoly Přítel lidu (Jean Paul Marat)";
  document.getElementById("obrazek").src="grafika/6.jpg";
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole2").innerHTML+"Zatímco Robespierre provedl státní převrat a ujmul se vlády, Marat stále pokračuje ve vydávání svých novin a podněcování zničení starých pořádků.";
  break;

  case 7:
  document.getElementById("pokracuj").innerHTML="Pokračovat do kapitoly Vláda teroru (Maximilien Robespierre)";
  document.getElementById("obrazek").src="grafika/7.jpg";
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole2").innerHTML+"Po smrti Marata začal Robespierre vládnout velmi tvrdě. Rozhodl se, že dalšímu krveprolití se dá předejít jedině tak, že dá popravit každého, kdo je nepřítelem jeho vlády. Tak započala vláda teroru.";
  break;

  case 8:
  document.getElementById("pokracuj").innerHTML="Pokračovat do kapitoly Vzestup Napoleona (Napoleon Bonaparte)";
  document.getElementById("obrazek").src="grafika/8.jpg";
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole2").innerHTML+"Zatímco Direktorium řeší, jak dát Francii opět dohromady a ukončit války, mladý důstojník Napoleon Bonaparte vyhrává bitvu za bitvou a rychle stoupá po žebříčku hodností.";
  break;

case 9:
 
  document.getElementById("pokracuj").innerHTML="Začít novou hru";
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole2").innerHTML+"Gratuluji k dokončení hry! <br> Můžeš si ji zkusit zahrát znovu a dospět k jinému výsledku.";
  document.getElementById("pokracuj").onclick = function () {
    novaHra();
  };
  
  break;



}
}
}






class udalost{
  constructor(pocet)
  { 
    for(let i=1;i<=pocet; i++)
      {
        document.getElementById("moznost"+i).disabled=false;
      }
      for(let j=pocet+1;j<7; j++)
      { 
        document.getElementById("moznost"+j).innerHTML="";
        document.getElementById("moznost"+j).disabled=true;
      }
  }
}



//instance příběhu, kapitol a událostí


//Počátek revoluce (Ludvík XVI.)
class kapitola1 extends kapitola
{
  constructor()
  {
    super(1);
pruchod = "1";
  }

  zacni()
{
  
  document.getElementById("postava").src="grafika/ludvík.jpg";
  mojeUdalost = new udalost1_1();
prechod('mezihra','hra');
} 

konec(a)
{
  switch(a)
  {
    case 1:
      document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Královská rodina se pokusila uniknout z Francie k Habsburkům do Rakouska. <br>"
  if(ludvik.popularita>=50)
  {
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Král při pokusu o útěk narazil na několik protestujících, ve světle jeho nedávných rozhodnutí ho však nechali uprchnout. <br>";
  robespierre.zdroje=ludvik.zdroje;
  robespierre.vojsko=ludvik.vojsko;
  ludvik.zdroje=0;
  ludvik.vojsko=0;
  mojeKapitola = new kapitola2(); 
  }else{
    document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Král s rodinou byl při pokusu o útěk zadržen nespokojenými občany a eskorotván zpátky do Paříže. <br>";
    mojeKapitola = new kapitola4(); 
  }
  break;

case 2:
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Král vyčkával na Versailles a pokusil se dav uklidnit. Protestující občané krále zadrželi a přinutili ho vrátit se s nimi do Paříže. <br>";
    mojeKapitola = new kapitola4(); 
break;

}

  prechod('hra','mezihra');
}

}

class udalost1_1 extends udalost
{
  constructor()
  {
    super(3);
    document.getElementById("konzole").innerHTML="Sešly se generální stavy, třetí stav je velmi nespokojen s královým hospodařením s penězi a s daňovou politikou. <br>";
    document.getElementById("konzoleMala").innerHTML="Co by měl král Ludvík XVI. udělat?";
    document.getElementById("moznost1").innerHTML="Zvýšit daně.";
    document.getElementById("moznost2").innerHTML="Rozdat královniny šaty mezi poddané.";
    document.getElementById("moznost3").innerHTML="Prodat královniny šaty šlechtě z jiných zemí.";
  }
  
  moznost(a){
    switch(a)
    {
case 1:
  ludvik.popularita=ludvik.popularita-20;
  ludvik.zdroje=ludvik.zdroje+10000;
  document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Král prosadil další zvýšení daní, což sice trochu pomůže oddálit bankrot, ale třetí stav to ještě více popudilo. <br>";
  break;
  
  case 2:
    ludvik.popularita=ludvik.popularita+5;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Král rozdal část královniných luxusních šatů mezi třetí stav. <br>";
    break;

    case 3:
      ludvik.zdroje=ludvik.zdroje+5000;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Král prodal část královniných šatů šlechticům z jiných zemí. <br>";
    break;

    }


   mojeUdalost = new udalost1_2();
  }

}

class udalost1_2 extends udalost
{
  constructor()
  {
    super(2);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Třetí stav je dále nespokojen s tím, že i přes počet svých členů, má jenom jeden hlas stejně jako ostatní dva stavy. <br>";
    document.getElementById("moznost1").innerHTML="Dát třetímu stavu více hlasů a riskovat přehlasování. <br>";
    document.getElementById("moznost2").innerHTML="Nechat většinu hlasů sobě a šlechtě. <br>";

  }
  
  moznost(a){

    switch(a)
    {
case 1:
  ludvik.popularita=ludvik.popularita+10;
  document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Král dal třetímu stavu množství hlasu v poměru k počtu členů, nyní riskuje přehlasování.<br>"
  break;
  
  case 2:
    ludvik.popularita=ludvik.popularita-10;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Král se odmítl vzdát jistoty přehlasovat třetí stav. <br>"
    break;

  
    }


   mojeUdalost = new udalost1_3();
  }

}

class udalost1_3 extends udalost
{
  constructor()
  {
    super(4);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Třetí stav by chtěl, aby král a šlechta začali také platit daně. <br>";
    document.getElementById("moznost1").innerHTML="Slíbit placení daní. <br>";
    document.getElementById("moznost2").innerHTML="Přimět ostatní šlechtice platit daně. <br>";
    document.getElementById("moznost3").innerHTML="Slíbit placení daní a přimět ostatní šlechtice platit také. <br>";
    document.getElementById("moznost4").innerHTML="Odmítnout placení daní. <br>";

  }
  
  moznost(a){

    switch(a)
    {
case 1:
  ludvik.popularita=ludvik.popularita+5;
  ludvik.zdroje=ludvik.zdroje-10000;
  document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Král slíbil placení daní. <br>"
  break;
  
  case 2:
    ludvik.popularita=ludvik.popularita+10;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Král přiměl šlechtu platit daně. <br>"
    break;

    case 3:
    ludvik.popularita=ludvik.popularita+15;
    ludvik.zdroje=ludvik.zdroje-5000;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Král slíbil placení daní a přiměl šlechtu platit také. <br>"
    break;

    case 4:
      ludvik.popularita=ludvik.popularita-10;
      document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Král odmítl požadavky třetího stavu. <br>"
      break;

  
    }
   mojeUdalost = new udalost1_4();
  }

}

class udalost1_4 extends udalost
{
  constructor()
  {
    super(3);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"14.7.1789 vtrhli rozzuření občané do vězěnské pevnosti Bastila, kde zabili několik strážných a zmocnili se tisíců zbraní. Revoluce tedy začíná přerůstat v násilí.<br>";
    document.getElementById("moznost1").innerHTML="Poslat malou jednotku, aby lidi rozehnala. <br>";
    document.getElementById("moznost2").innerHTML="Poslat větší vojsko, aby získalo zbraně zpět. <br>";
    document.getElementById("moznost3").innerHTML="Nepodnikat nic a doufat, že se situace nějak přežene. <br>";

  }
  
  moznost(a){

    switch(a)
    {
case 1:
  ludvik.popularita=ludvik.popularita-5;
  ludvik.zdroje=ludvik.vojsko-1000;
  document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Ludvík XVI. vyslal oddíl vojáků rozehnat povstalce, vojáci byli do jednoho pobiti.<br>"
  break;
  
  case 2:
    ludvik.popularita=ludvik.popularita-10;
    ludvik.zdroje=ludvik.vojsko-100;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Ludvík XVI. vyslal několik tisíc mužů pobít povstalce, ti se však dali na útěk a ztratili se mezi běžnými občany. <br>"
    break;

    case 3:
    ludvik.popularita=ludvik.popularita+15;
    ludvik.zdroje=ludvik.zdroje-5000;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Král se rozhodl nijak nezasahovat a přečkat krizi na svém zámku Versailles. <br>"
    break;
    }
   mojeUdalost = new udalost1_zaver();
  }

}

class udalost1_zaver extends udalost
{
  constructor()
  {
    super(2);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"5.10.1789 se král dozvěděl, že v Paříži na tržišti došlo k nějakým sporům kvůli cenám chleba. Ze sporu se stal pochod několika tisíc nespokojených lidí, kteří míří za králem na Versailles. <br>";
    document.getElementById("moznost1").innerHTML="Pokusit se i s rodinou uprchnout z Francie za příbuznými královny. <br>";
    document.getElementById("moznost2").innerHTML="Vyčkat na Versailles a pokusit se situaci uklidnit. <br>";

  }
  
  moznost(a){

mojeKapitola.konec(a);

    }
  
  }


//Královna v exilu (Antoinetta)
class kapitola2 extends kapitola
{
  constructor()
  {
    super(2);
    pruchod = pruchod + " 2";
  }

  zacni()
{
  document.getElementById("postava").src="grafika/antoinetta.jpg"
  mojeUdalost = new udalost2_1();
prechod('mezihra','hra');
} 

konec()
{
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole2").innerHTML+"Král a královna strávili tři roky sháněním spojenců a zdrojů. Nyní nastal čas vrátit se do svojí vlasti a vzít si trůn zpět. <br>";
  lafayette.vojsko=ludvik.vojsko;
  mojeKapitola = new kapitola3(); 

prechod('hra','mezihra');
}
}

class udalost2_1 extends udalost
{
  constructor()
  {
    
    super(2);
    document.getElementById("konzole").innerHTML="Marie Antoinetta přemýšlí, jak ve Francii zlepšit popularitu monarchie. <br>";
    document.getElementById("konzoleMala").innerHTML="Co by měla Marie Antoinetta udělat?";
    document.getElementById("moznost1").innerHTML="Poslat do Francie omluvný leták s osvíceneckými myšlenkami. <br>";
    document.getElementById("moznost2").innerHTML="Neřešit francouzský lid. <br>";
  }

  moznost(a){
    switch(a)
    {
    case 1:
antoinetta.popularita=antoinetta.popularita+5;
document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Atoninetta rozeslala po Francii letáky, ve kterých se omlouvila za své utrácení a některé výroky vůči lidu. <br>";
      break;

      case 2:
        document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Antoinetta se rozhodla, že bude lepší soustředit se na shánění spojenců v zahraničí. <br>";
        break;
    }
mojeUdalost= new udalost2_2();

  }
}

class udalost2_2 extends udalost
{
  constructor()
  {
    
    super(4);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Marie Antoinettu napadlo, že by mohla získat spojence v pruském králi Frirdrichovi Vilémovi II. Fridrich poskytne Ludvíkovi část svého vojska, pod podmínkou, že jeho jednadvacetiletému synovi přislíbí Antoinetta svoji čtrnáctiletou dceru za ženu.<br>";
    document.getElementById("moznost1").innerHTML="Slíbit provdání svojí dcery, až bude starší.<br>";
    document.getElementById("moznost2").innerHTML="Slíbit provdání svojí dcery, až když Ludvík znovu usedne na svůj trůn. <br>";
    document.getElementById("moznost3").innerHTML="Nabídnout provdání svojí dcery za Vilémova syna okamžitě. <br>";
    document.getElementById("moznost4").innerHTML="Odmítnout Vilémovu nabídku. <br>";
  }

  moznost(a){

    switch(a)
    {
    case 1:
ludvik.vojsko=ludvik.vojsko+20000;
document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Antonietta souhlasila se sňatkem v příštích letech a získala tím pro Ludvíka část Vilémovy armády. <br>";
     break;

  case 2:
  ludvik.vojsko=ludvik.vojsko+25000;
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Antonietta souhlasila se sňatkem, ale až po vítězství Ludvíka. Získala tím pro Ludvíka část Vilémovy armády. <br>";
   break;

  case 3:
  ludvik.vojsko=ludvik.vojsko+40000;
   document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Antonietta nabídla Vilémovu synovi svoji dceru ke sňatku ihned. To Viléma potěšilo a poskytl Ludvíkovi značnou část svojí armády. <br>";
   break;

   case 4:
    document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Antonietta Vilémovu nabídku odmítla. <br>";
   break;
     
    }
mojeUdalost= new udalost2_3();

  }
}

class udalost2_3 extends udalost
{
  constructor()
  {
    
    super(2);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Marie Antoinetta získala bez vědomí Ludvíka trochu peněz. Myslí, že by za ně mohla najmout žoldácké vojsko. <br>";
    document.getElementById("moznost1").innerHTML="Najmout žoldáky. <br>";
    document.getElementById("moznost2").innerHTML="Poslat peníze do Francie mezi chudý lid. <br>";
  }

  moznost(a){

    switch(a)
    {
    case 1:
ludvik.vojsko=ludvik.vojsko+10000;
document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Antoinetta najmula armáda žoldáků, která podpoří Ludvíkovu snahu získat zpátky trůn. <br>";
      break;

      case 2:
        antoinetta.popularita=antoinetta.popularita+20;
        document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Antoinetta se nakonec rozhodla poslat peníze mezi chudý francouzský lid. <br>";
        break;
    }
mojeUdalost= new udalost2_4();

  }
}

class udalost2_4 extends udalost
{
  constructor()
  {
    
    super(3);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Marie Antoinetta se snaží přesvědčit svoje habsurské příbuzné o poskytnutí co největší části svojí armády Ludvíkovi. <br>";
    document.getElementById("moznost1").innerHTML="Apelovat na příbuzenské vztahy. <br>";
    document.getElementById("moznost2").innerHTML="Apelovat na riziko, že se revoluce rozšíří i do ostatních zemí. <br>";
    document.getElementById("moznost3").innerHTML="Tvrdit Habsburkům, že jsou jediná naděje na udržení starých pořádků. <br>";
  }

  moznost(a){

    switch(a)
    {
    case 1:
ludvik.vojsko=ludvik.vojsko+20000;
document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Antoinetta získala pro Ludvíka část rakouských armád. <br>";
      break;

   case 2:
    ludvik.vojsko=ludvik.vojsko+40000;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Antoinetta získala pro Ludvíka velkou část rakouských armád. <br>";
     break;

   case 3:
  ludvik.vojsko=ludvik.vojsko+30000;
  document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Antoinetta získala pro Ludvíka značnou část rakouských armád. <br>";
 break; 
    }
    
mojeUdalost= new udalost2_zaver();

  }
}

class udalost2_zaver extends udalost
{
  constructor()
  {
    
    super(2);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Antoinetta si myslí, že by Ludvíkova přítomnost u vojska zvedla morálku vojáků a královu popularitu u lidu. <br>";
    document.getElementById("moznost1").innerHTML="Doporučit Ludvíkovi jet do války se svojí armádou. <br>";
    document.getElementById("moznost2").innerHTML="Doporučit Ludvíkovi zůstat v bezpečí ve Vídni. <br>";
  }

  moznost(a){

    switch(a)
    {
    case 1:
ludvik.pupularita=ludvik.popularita+20;
ludvik.vojsko=ludvik.vojsko*1.2;
document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Ludvík vyrazí do boje se svojí armádou. <br>";
      break;

      case 2:
        document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Ludvík bude na výsledek bojů čekat v bezpečí Vídně. <br>";
        break;
    }
mojeKapitola.konec();

  }
}

//Návrat krále (La Fayette)
class kapitola3 extends kapitola
{
  constructor()
  {
    super(3);
    pruchod = pruchod + " 3";
  }

  zacni()
{
  document.getElementById("postava").src="grafika/lafayette.jpg"
  mojeUdalost = new udalost3_1();
prechod('mezihra','hra');
} 

konec(a)
{
  switch(a)
  {
    case 1:
  if(lafayette.vojsko>robespierre.vojsko)
{
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"La Fayettovi se podařilo pro svého krále dobýt Paříž. Ludvík XVI. se vrátil na trůn. S novou ústavou vládl s Marií Antoniettou po svém boku jako osvícencký panovník Francii ještě po mnoho let. La Fayette byl jmenován nejvyšším generálm Francie. <br>";
  pruchod = pruchod + " A";
} else {
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"La Fayettova armáda neměla dostatečnou sílu, aby dobyla Paříž, takže utrpěl hořkou porážku. La Fayette se dal se zbytkem vojska na ústup. Králův návrat na trůn se nezdařil. Ludvík s Marií Antoinettou strávili zbytek života ve Vídni.<br>";
  pruchod = pruchod + " B";
}

break;

case 2:
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"La Fayette se dal se zbytkem vojska na ústup. Králův návrat na trůn se nezdařil. Ludvík s Marií Antoinettou strávili zbytek života ve Vídni.<br>";
  pruchod = pruchod + " B";
  break;
  }
 
  mojeKapitola = new zavery(); 
  prechod('hra','mezihra');
}
}

class udalost3_1 extends udalost
{
  constructor()
  {
    
    super(3);
    document.getElementById("konzole").innerHTML="La Fayette vede Ludvíkovu armádu na území Francie. V cestě jim stojí malá hraniční pevnost. <br>";
    document.getElementById("konzoleMala").innerHTML="Co by měl La Fayette udělat?";
    document.getElementById("moznost1").innerHTML="Nařídit přímý útok na pevnost. <br>";
    document.getElementById("moznost2").innerHTML="Vyslat malou skupinku do pevnosti zlikvidovat strážné na věžích. <br>";
    document.getElementById("moznost3").innerHTML="Ukázat se s malou částí svojí armády, vylákat obránce ven a pak je přepadnout. <br>";

  }

  moznost(a){

    switch(a)
{
  case 1:
    lafayette.vojsko=lafayette.vojsko-10000;
    robespierre.vojsko=robespierre.vojsko-5000;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Ludvíkovo vojsko pobilo všechny vojáky z pevnosti za cenu velkých ztrát. <br>";
          break;

          case 2:
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Ludvíkovo vojsko se proplížilo okolo pevnosti. <br>";
          break;

        case 3:
          lafayette.vojsko=lafayette.vojsko-1000;
          robespierre.vojsko=robespierre.vojsko-5000;
         document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"La Fayette využil léčky a zlikvidoval všechny vojáky v pevnosti s minimálními vlastními ztrátami. <br>";
       break;
}
mojeUdalost=new udalost3_2();
    
  }
}


class udalost3_2 extends udalost
{
  constructor()
  {
    
    super(2);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"La Fayetta napadlo, že by se někteří obyvatelé možná rádi přidali ke snaze navrátit krále na trůn. <br>";
    document.getElementById("moznost1").innerHTML="Rozlašovat po vesnicích, že se král vrací. <br>";
    document.getElementById("moznost2").innerHTML="Raději nic nerozhlašovat. <br>";

  }

  moznost(a){

    switch(a)
{
  case 1:
    lafayette.vojsko=lafayette.vojsko+(antoinetta.popularita*500);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Někteří obyvatelé se při zprávách o návratu krále chopili zbraní a rozhodli se La Fayettovi pomoci. <br>";
          break;

          case 2:
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"La Fayette se rozhodl, raději nic nerozhlašovat a neriskovat, že by se mu obyvatelé začali stavět do cesty. <br>";
          break;

}
mojeUdalost=new udalost3_3();
  }
}

class udalost3_3 extends udalost
{
  constructor()
  {
    
    super(3);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"La Fayettovu vojsku se postavila do cesty menší část revoluční armády. <br>";
    document.getElementById("moznost1").innerHTML="Přikázat vojsku skandovat: 'Ať žije král!' <br>";
    document.getElementById("moznost2").innerHTML="Provést frontální útok. <br>";
    document.getElementById("moznost3").innerHTML="Začít ustupovat přes kopec a poté provést překvapivý protiútok. <br>";

  }

  moznost(a){

    switch(a)
{
  case 1:
    if(ludvik.popularita>=90)
    {
      lafayette.vojsko=lafayette.vojsko+20000;
      robespierre.vojsko=robespierre.vojsko-20000;
      document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"La Fayette nařídil svému vojsku skandovat: 'Ať žije král!' Díky Ludvíkově popularitě se nepřátelská armáda vzdala a přidala na La Fayettovu stranu. <br>";
    } else {
      lafayette.vojsko=lafayette.vojsko-30000;
      robespierre.vojsko=robespierre.vojsko-20000;
      document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"La Fayette nařídil svému vojsku skandovat: 'Ať žije král!' Nepřátelská armáda zaútočila a došlo k obrovským ztátám na obou stranách, La Fayette nakonec zvítězil. <br>";
    }
          break;

          case 2:
            lafayette.vojsko=lafayette.vojsko-20000;
    robespierre.vojsko=robespierre.vojsko-20000;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"La Fayette sice bitvu vyhrál, ale jeho vojsko utrpělo četné ztráty. <br>";
          break;

          case 3:
            lafayette.vojsko=lafayette.vojsko-10000;
    robespierre.vojsko=robespierre.vojsko-20000;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"La Fayette pomocí léčky vyhrál bitvu. <br>";
          break;

}
mojeUdalost=new udalost3_4();
  }
}

class udalost3_4 extends udalost
{
  constructor()
  {
    
    super(2);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"La Fayetta se chystá na poslední postup směrem k Paříži. <br>";
    document.getElementById("moznost1").innerHTML="Utábořit se na pár dní, aby vojsko nabralo síly. <br>";
    document.getElementById("moznost2").innerHTML="Okamžitě pokračovat dál. <br>";

  }

  moznost(a){

    switch(a)
{
  case 1:
    lafayette.vojsko=lafayette.vojsko*1.1;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"La Fayette se před postupem na Paříž na pár dní s vojskem utábořil a postaral se o raněné. <br>";
          break;

          case 2:
            lafayette.vojsko=lafayette.vojsko*0.9;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"La Fayette se rozhodl neriskovat, že se revoluční armády přeskupí a rovnou se s vojskem vydal na pochod k Paříži. <br>";
          break;

}
mojeUdalost=new udalost3_zaver();
  }
}

class udalost3_zaver extends udalost
{
  constructor()
  {
    
    super(2);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"La Fayettevo vojsko se dostalo až k Paříži. Před Paříží na něj však už čeká většina zbývající revoluční armády. Je to to poslední, co stojí mezi ním a Ludvíkovým návratem na trůn, riziko je však vysoké.<br>";
    document.getElementById("moznost1").innerHTML="Provést frontální útok. <br>";
    document.getElementById("moznost2").innerHTML="Zavelet k ústupu a vzdát tažení. <br>";

  }

  moznost(a){

    mojeKapitola.konec(a);

}
}

//Konstituční monarchie (Ludvík XVI.)
class kapitola4 extends kapitola
{
  constructor()
  {
    super(4);
    pruchod = pruchod + " 4";
  }

  zacni()
{
  document.getElementById("postava").src="grafika/ludvík.jpg"
  mojeUdalost = new udalost4_1();
prechod('mezihra','hra');
} 

konec(a)
{
  robespierre.zdroje=ludvik.zdroje;
  robespierre.vojsko=ludvik.vojsko;
  ludvik.zdroje=0;
  ludvik.vojsko=0;
  switch(a){
    case 1:
      document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Královská rodina se pokusila uniknout z Francie k Habsburkům do Rakouska. <br>"
  if(ludvik.popularita>=50)
  {
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Král při pokusu o útěk narazil na několik protestujících, ve světle jeho nedávných rozhodnutí ho však nechali uprchnout. <br>";
  mojeKapitola = new kapitola2();
  }else{
    document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Král byl při pokusu o útěk zadržen a poslán do vězení. <br>";
    mojeKapitola = new kapitola5(); 
  } 
break;

case 2:
  document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Král vydal příkaz zabít Marata. Jeho smrt z něj však udělala mučedníka. Robesiperre se ujmul moci a dal krále popravit. <br>";
    mojeKapitola = new kapitola7(); 
    break;
}

  prechod('hra','mezihra');
}
}

class udalost4_1 extends udalost
{
  constructor()
  {
    
    super(2);
    document.getElementById("konzole").innerHTML="Ludvík XVI. je držen v domácím vězení v Tuilerijském paláci. Vůdci revoluce za ním chodí a chtějí po něm, aby souhlasil s jejich návrhy a dokázal tak, že podporuje revoluci.<br>";
    document.getElementById("konzoleMala").innerHTML="Co by měl král Ludvík XVI. udělat?";
    document.getElementById("moznost1").innerHTML="Tvářit se, že revoluci podporuje.";
    document.getElementById("moznost2").innerHTML="Klást odpor.";
  
  }

  moznost(a){

    switch(a)
    {
      case 1:
        ludvik.popularita=ludvik.popularita+5;
       document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Král naoko revolucionáře podporoval ve snaze udržet si své postavení. <br>";
          break;

          case 2:
         ludvik.popularita=ludvik.popularita-10;
          document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Ludvík se vzpíral každému návrhu revolucionářů a jen je tím dále štval proti sobě. <br>";
          break;

    }

    mojeUdalost = new udalost4_2();
  }
}

class udalost4_2 extends udalost
{
  constructor()
  {
    
    super(3);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Ludvík XVI. se dozvěděl, že ve shromáždění začíná nabírat moci radikální klub jakobínů. Tento klub volá po zbavení se krále a vzniku republiky.<br>";
    document.getElementById("moznost1").innerHTML="Napsat zahraničním monarchům dopisy o pomoc.";
    document.getElementById("moznost2").innerHTML="Vyslat svoje věrné vojáky, aby členy klubu pobili.";
    document.getElementById("moznost3").innerHTML="Nedělat nic.";
  
  }

  moznost(a){

    switch(a)
    {
      case 1:
        ludvik.popularita=ludvik.popularita-10;
       document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Ludvík se pokusil informovat pomocí zahraniční šlechtu, avšak revolucináři to zjistili. Marat o tom napsal do svých novin a opět poštval veřejnost proti králi. <br>";
          break;

          case 2:
         ludvik.popularita=ludvik.popularita-20;
         robespierre.popularita=robespierre.popularita+20;
          document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Ludvík poslal vojáky na jakobíny. Avšak prostý lid je bránil a došlo k pobití vojáků. <br>";
          break;

          case 3:
          document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Král se rozhodl nezasahovat do dění ve snaze nevyprovokovat další krveprolití. <br>";
          break;

    }

    mojeUdalost = new udalost4_zaver();
  }
}

class udalost4_zaver extends udalost
{
  constructor()
  {
    
    super(2);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Jean Paul Marat svými novinami stále přilévá olej do ohně revoluce. Hrozí, že nespokojení občané Paříže brzy vtrhnou do králova sídla.<br>";
    document.getElementById("moznost1").innerHTML="Útect i s rodinou do zahraničí. <br>";
    document.getElementById("moznost2").innerHTML="Nechat Marata zabít. <br>";

  }

  moznost(a){

    mojeKapitola.konec(a);

}
}


//Francie republikou (Danton)
class kapitola5 extends kapitola
{
  constructor()
  {
    super(5);
    pruchod = pruchod + " 5";
  }

  zacni()
{
  document.getElementById("postava").src="grafika/danton.jpg"
  mojeUdalost = new udalost5_1();
prechod('mezihra','hra');
} 

konec(a)
{
switch(a)
{
  case 1:
    document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Danton hlasoval pro popravu krále. Rozhodnutí pro popravu prošlo o jeden hlas. Brzy poté převzal Robespierre moc a netrvalo dlouho a Dantona uvrhl do vězení.<br>";
if(danton.popularita>=50)
{
  mojeKapitola = new kapitola7();
}else {
  mojeKapitola = new kapitola6();
}
    break;

    case 2:
      document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Danton hlasoval pro vyhoštění krále. Rozhodnutí pro vyhoštění prošlo o jeden hlas. Okolní státy přestaly poté útočit na Francii a Danton začal být vnímán jako hrdina, který zastavil válku. Později byl zvolen prvním prezidentem Francie.<br>";
      pruchod = pruchod + " C";
      mojeKapitola = new zavery();
      break;
}

  prechod('hra','mezihra');
}
}

class udalost5_1 extends udalost
{
  constructor()
  {
    
    super(3);
    document.getElementById("konzole").innerHTML="Rakousko a Prusko vyhlásily Francii válku, ve snaze zabránit šíření revolučních myšlenek dál. Francouzská armáda je však oslabená z revolučních bojů.<br>";
    document.getElementById("konzoleMala").innerHTML="Co by měl Georges Danton udělat?";
    document.getElementById("moznost1").innerHTML="Motivovat mladé lidi ke vstupu do armády.";
    document.getElementById("moznost2").innerHTML="Navrhnout v Konventu vydání nižších šlechticů do zahraničí.";
    document.getElementById("moznost3").innerHTML="Navrhnout v Konventu evakuování pohraničních oblastí.";
  
  }

  moznost(a){

switch(a)
{
  case 1:
    danton.popularita=danton.popularita+10;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Danton zfanatizoval spoustu lidí ke vstupu do armády a odražení útočících mocností.<br>";
    break;

case 2:
    danton.popularita=danton.popularita-10;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Danton navrhnul vydání šlechticů do zahraničí. Návrh neprošel a ostatní velmi popudil.<br>";
    break;

    case 3:
      danton.popularita=danton.popularita+15;
      document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Danton navrhnul evakuování pohraničních oblastí. Návrh prošel a zachránil životy mnoha lidem, když nepřátelské armády překočily hranice.<br>";
      break;

}

    mojeUdalost = new udalost5_2();
  }
}

class udalost5_2 extends udalost
{
  constructor()
  {
    
    super(3);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Na území Francie začíná docházet ke kontrarevolucím, někteří lidé stál zastávají názor, že za monarchie jim bylo lépe.<br>";
    document.getElementById("moznost1").innerHTML="Navrhnout vyslání vojsk proti vlastním obyvatelům.";
    document.getElementById("moznost2").innerHTML="Navrhnout rozdání majetků šlechty mezi obyvatele.";
    document.getElementById("moznost3").innerHTML="Navrhnout pořádání veřejných poprav šlechty.";
  
  }

  moznost(a){

switch(a)
{
  case 1:
    danton.popularita=danton.popularita-10;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Danton přesvědčil Konvent o vyslání vojsk proti vlystním obyvatelům. To způsobilo akorát další vlnu revolucí.<br>";
    break;

case 2:
    danton.popularita=danton.popularita+5;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Danton rozdání majetků šlechty mezi lidi. Návrh prošel, a počet kontrarevolucí klesnul.<br>";
    break;

    case 3:
      danton.popularita=danton.popularita-5;
      document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Danton navrhnul veřejné popravy šlechty. Návrh prošel, ale na počet kontrarevolucí to nemělo vliv.<br>";
      break;

}

    mojeUdalost = new udalost5_3();
  }
}

class udalost5_3 extends udalost
{
  constructor()
  {
    
    super(3);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"V září 1792 došlo k sérii vloupání do věznic, kde byla držena šlechta. Lidé je bez milosti pozabíjeli včetně žen a dětí. Lid k těmto činům motivoval Marat, který ve svých novinách napsal, že se šlechta lidu ze revoluci pomstí, až je zahraniční mocnosti osvobodí.<br>";
    document.getElementById("moznost1").innerHTML="Hnát k zodpovědnosti Marata.";
    document.getElementById("moznost2").innerHTML="Hnát k zodpovědnosti účastníky útoků.";
    document.getElementById("moznost3").innerHTML="Souhlasit se zabíjením šlechty.";
  
  }

  moznost(a){

switch(a)
{
  case 1:
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Danton obvinil v Konventu obvinil Marata z manipulování lidu. Robespierre e ho však zastal.<br>";
    break;

case 2:
    danton.popularita=danton.popularita-10;
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Danton navrhnul potrestání všech, kdo měli s útoky něco společného.<br>";
    break;

    case 3:
      danton.popularita=danton.popularita+5;
      document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Danton byl spokojený, že je o pár stovek šlechticů méně.<br>";
      break;

}

    mojeUdalost = new udalost5_zaver();
  }
}

class udalost5_zaver extends udalost
{
  constructor()
  {
    
    super(2);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Národní konvent má rozhodnout o osudu krále. Královo uvěznění podněcuje v ostatních zemích snahu ho osvobodit a navrátit Francii monarchii. Robespierre tvrdí, že poprava krále by mohla tento problém vyřešit. <br>";
    document.getElementById("moznost1").innerHTML="Hlasovat pro popravu krále. <br>";
    document.getElementById("moznost2").innerHTML="Hlasovat pro vyhoštění krále. <br>";

  }

  moznost(a){

    mojeKapitola.konec(a);

}
}

//Přítel lidu (Marat)
class kapitola6 extends kapitola
{
  constructor()
  {
    super(6);
    pruchod = pruchod + " 6";
  }

  zacni()
{
  document.getElementById("postava").src="grafika/marat.jpg"
  mojeUdalost = new udalost6_1();
prechod('mezihra','hra');
} 

konec(a)
{
  switch(a)
  {
    case 1:
        document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Marat byl připraven na příchod Charlotty dostatečně. Když za ním 13.7.1793 přišla, podařilo se mu ji vydíráním a manipulacemi přimět, aby místo něj Robespierra. Maratova moc v následujících měsících dále rostla a nakonec se stal císařem Francie.<br>";
        pruchod = pruchod + " D";
        mojeKapitola = new zavery();
      break;

      case 2:
        document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Maratovi se nepodařilo včas zjistit dostatek informací o jeho vražedkyni. 13.7.1793 za ním přišla Charlotta Cordayová a tvářila se, že mu přinesla informace o jeho nepřátelích, během toho Marata zavraždila.<br>";
        mojeKapitola = new kapitola7();
        break;
  }
  prechod('hra','mezihra');
  
}
}

class udalost6_1 extends udalost
{
  constructor()
  {
    
    super(3);
    document.getElementById("konzole").innerHTML="Marat se dozvěděl, že jistá žena ho plánuje zavraždit, nemá však tušení o koho jde.  <br>";
    document.getElementById("konzoleMala").innerHTML="Co by měl Jean Paul Marat udělat?";
    document.getElementById("moznost1").innerHTML="Najmout si pár lidí z ulice jako svoje uši.";
    document.getElementById("moznost2").innerHTML="Vydat o tom článek ve svých novinách.";
    document.getElementById("moznost3").innerHTML="Informovat Robespierra.";
  
  }

  moznost(a){
    switch(a)
    {
      case 1:
        document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Marat si najmul lidi z ulice, aby pro něj naslouchali drbům.<br>";
        mojeUdalost = new udalost6_2();
        break;

        case 2:
          document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Marat vydal ve svých novinách článek o tom, že někdo plánuje jeho vraždu.<br>";
          mojeUdalost = new udalost6_3();
        break;

        case 3:
          document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Marat iformoval Robespierra a ten slíbil, že zjistí, kdo se snaží Marata zavraždit. Avšak svůj slib nedodržel. <br>";
          mojeKapitola.konec(2);
          break;
    }
  }
}

class udalost6_2 extends udalost
{
  constructor()
  {
    
    super(2);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Marat od lidí z uluce zjistil, že o jeho vraždě veřejně mluví spoustu lidí. <br>";
    document.getElementById("moznost1").innerHTML="Vydat o tom článek ve svých novinách.";
    document.getElementById("moznost2").innerHTML="Informovat Robespierra, aby dal všechny tyto lidi zatknout.";
    
  }

  moznost(a){
    switch(a)
    {
      case 1:
        document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Marat vydal ve svých novinách článek o tom, že někdo plánuje jeho vraždu.<br>";
        mojeUdalost = new udalost6_3();
        break;

        case 2:
          document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Marat požádal Robespierra, aby všechy, kdo mluví o Maratově vraždě dal zatknout. Poté polevil ve svojí ostražitosti, protože si myslel, že onoho zmiňovaného vraha dostal.<br>";
          mojeKapitola.konec(2);
          break;
    }
  }
}

class udalost6_3 extends udalost
{
  constructor()
  {
    
    super(2);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Po vydání článku. Začali Maratovi lidé donášet střípky informací. Zjistil, že žena, která ho plánuje zavraždit se jmenuje Charlotta Corday. Marat však přesně neví, jestli Chralotta patří k nějaké organizované skupině, dokonce neví ani, jak vypadá.<br>";
    document.getElementById("moznost1").innerHTML="Snažit se zjisti Charlottin vzhled.";
    document.getElementById("moznost2").innerHTML="Zjistit, jestli Charlotta s někým spolupracuje.";
    
  }

  moznost(a){
    switch(a)
    {
      case 1:
        document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Maratovi se nepodařilo spolehlivě zjistit, jak Charlotta vypadá.<br>";
        mojeKapitola.konec(2);
        break;

        case 2:
          document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Marat zjistil, že Charlotta se hlásí ke girondistům. Také se dozvěděl, že mnoho jejích přátel dal Robespierre zatknout.<br>";
          mojeKapitola.konec(1);
          break;
    }
  }
}



//Vláda teroru (Robespierre)
class kapitola7 extends kapitola
{
  constructor()
  {
    super(7);
    pruchod = pruchod + " 7";
  }

  zacni()
{
  document.getElementById("postava").src="grafika/robespierre.jpg";
  mojeUdalost = new udalost7_1();
prechod('mezihra','hra');
} 

konec(a)
{
  switch(a)
  {
    case 1:
      if(robespierre.popularita>=80)
      {
        document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Robespierre se prohlázil za boha své vlastní církve. Obyvatelé Francie jím byli natolik zfanatizovaní, že ho časem opravdu začali uctívat. V příštích letech šířil Robespierre svoje náboženství a vliv i do ostatních zemí, kde vyvolával další revoluce v jeho jménu.<br>";
        pruchod = pruchod + " E";
        mojeKapitola = new zavery();
        prechod('hra','mezihra');
      }
      else{
        document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"27.7.1794 došlo mezi jakobíny ke Thermidorskému převratu a Robespierre přišel o svoji moc. O den později byl poslán pod gilotinu. K vládě se dostalo pětičlenné Direktorium. To o pět let později svrhnul Napoleon Bonaparte, čímž se stal Prvním konzulem Francie. Ale ani zde jeho ambice nekončily, Napoleon toužil být císařem a ovládnout celý svět. Pro Evropu znamenal Napoleonův nástup k moci předzvěst temných časů.<br>";
        pruchod = pruchod + " 8 G";
        mojeKapitola = new zavery();
        prechod('hra','mezihra');
      }
      break;

      case 2:
        document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"27.7.1794 došlo mezi jakobíny ke Thermidorskému převratu a Robespierre přišel o svoji moc. O den později byl poslán pod gilotinu. K vládě se dostalo pětičlenné Direktorium. To o pět let později svrhnul Napoleon Bonaparte, čímž se stal Prvním konzulem Francie. Ale ani zde jeho ambice nekončily, Napoleon toužil být císařem a ovládnout celý svět. Pro Evropu znamenal Napoleonův nástup k moci předzvěst temných časů.<br>";
        pruchod = pruchod + " 8 G";
        mojeKapitola = new zavery();
        prechod('hra','mezihra');
        break;
  }
}
}

class udalost7_1 extends udalost
{
  constructor()
  {
    
    super(2);
    document.getElementById("konzole").innerHTML="Robespierrův spojenec Marat byl zavražděn. Viníci byli popraveni, ale zdá se, že ve společnosti, může být více lidí, kterým chybí staré pořádky.<br>";
    document.getElementById("konzoleMala").innerHTML="Co by měl Robespierre udělat?";
    document.getElementById("moznost1").innerHTML="Udělat z Marata symbol revoluce.";
    document.getElementById("moznost2").innerHTML="Soucitně promluvit k lidu.";
  
  }

  moznost(a){

    switch(a)
    {
      case 1:
        robespierre.popularita=robespierre.popularita+5;
       document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Robespierre udělal z Marata symbol revoluce. Dokonce jeho oltáře a vyobrazení nechal umístit v kostelech místo krucifixů. <br>";
          break;

          case 2:
            robespierre.popularita=robespierre.popularita+10;
          document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Robespierre pronesl k obyvatelům Paříže řeč ve snaze uklidnit situaci. <br>";
          break;

    }

    mojeUdalost = new udalost7_2();
  }
}

class udalost7_2 extends udalost
{
  constructor()
  {
    
    super(3);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Robespierre musí vymyslet, jak naložit s Marií Antoinettou.<br>";
    document.getElementById("moznost1").innerHTML="Veřejně Antoinettu popravit.";
    document.getElementById("moznost2").innerHTML="Požádat Antoinettu o ruku.";
    document.getElementById("moznost3").innerHTML="Nechat ji ve vězení.";
  
  }

  moznost(a){

    switch(a)
    {
      case 1:
        robespierre.popularita=robespierre.popularita+10;
       document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Robespierre dal Antoniettu 16.10.1793 veřejně popravit. <br>";
          break;

          case 2:
        robespierre.popularita=robespierre.popularita-10;
          document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Robespierre požádal Antoinettu o ruku, aby byl před lidem jakýmsi mostem mezi starým a novým řádem Francie. Antoinetta ho však odmítla. <br>";
          break;

          case 3:
          document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Robespierre se rozhodl nechat Antoinettu ve vězení <br>";
          break;

    }

    mojeUdalost = new udalost7_3();
  }
}

class udalost7_3 extends udalost
{
  constructor()
  {
    
    super(3);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Robespierre považuje Dantona za zrádce, který odmítá myšlenku teroru.<br>";
    document.getElementById("moznost1").innerHTML="Veřejně Dantona popravit.";
    document.getElementById("moznost2").innerHTML="Propustit Dantona, ale dát ho sledovat.";
    document.getElementById("moznost3").innerHTML="Nechat ho ve vězení.";
  
  }

  moznost(a){

    switch(a)
    {
      case 1:
        robespierre.popularita=robespierre.popularita-10;
       document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Robespierre dal Dantona 5.4.1794 veřejně popravit. <br>";
          break;

          case 2:
        robespierre.popularita=robespierre.popularita+10;
          document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Robespierre pustil Dantona na svobodu, ale dal ho sledovat, aby věděl, jestli proti němu nic nechystá. <br>";
          break;

          case 3:
          document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Robespierre se rozhodl nechat Dantona ve vězení. <br>";
          break;

    }

    mojeUdalost = new udalost7_zaver();
  }
}

class udalost7_zaver extends udalost
{
  constructor()
  {
    
    super(2);
    document.getElementById("konzole").innerHTML=document.getElementById("konzole").innerHTML+"Robespierre se doslechl, že někteří členové jeho strany chystají převrat.<br>";
    document.getElementById("moznost1").innerHTML="Prohlásit se bohem Kultu nejvyšší bytosti. <br>";
    document.getElementById("moznost2").innerHTML="Přikázat popravu všech zrádců. <br>";

  }

  moznost(a){

    mojeKapitola.konec(a);

}
}

//Vzestup Napoleona (Napoleon) //nedokončeno
class kapitola8 extends kapitola
{
  constructor()
  {
    super(8);
    pruchod = pruchod + " 8";
  }

  zacni()
{
  document.getElementById("postava").src="grafika/napoleon.jpg"
prechod('mezihra','hra');
} 

konec()
{
  switch(a)
  {
    case 1:
        document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Napoleon tváří v tvář porážce polknul ciankáli, které nosil na krku, a tak zemřel největší vojevůdce všech dob, čímž ušetřil celou Evropu mnoha let válek. Direktoriu se brzy poté podařilo konečně dovést Francii k míru.<br>";
        pruchod = pruchod + " F";
        mojeKapitola = new zavery();
        prechod('hra','mezihra');
      break;

      case 2:
        document.getElementById("konzole2").innerHTML=document.getElementById("konzole").innerHTML+"Napoleon se z Afriky vrátil jako hrdina. Krátce poté se svými stoupenci provedli státní převrat a svrhli Direktorium. Napoleon se stal Prvním konzulem Francie. Ale ani zde jeho ambice nekončily, Napoleon toužil být císařem a ovládnout celý svět. Pro Evropu znamenal Napoleonův nástup k moci předzvěst temných časů.<br>";
        pruchod = pruchod + " G";
        mojeKapitola = new zavery();
        prechod('hra','mezihra');
        break;
  }
}
}


class zavery extends kapitola
{
  constructor()
  {
    super(9);
  
if(pruchod=="1 2 3 A")
{
document.getElementById("obrazek").src="grafika/pruchody/01.png";
} else if(pruchod=="1 2 3 B")
{
document.getElementById("obrazek").src="grafika/pruchody/02.png";
} else if(pruchod=="1 4 2 3 A")
{
document.getElementById("obrazek").src="grafika/pruchody/03.png";
} else if(pruchod=="1 4 2 3 B")
{
document.getElementById("obrazek").src="grafika/pruchody/04.png";
} else if(pruchod=="1 4 5 C")
{
document.getElementById("obrazek").src="grafika/pruchody/05.png";
} else if(pruchod=="1 4 5 6 D")
{
document.getElementById("obrazek").src="grafika/pruchody/06.png";
} else if(pruchod=="1 4 5 6 7 E")
{
document.getElementById("obrazek").src="grafika/pruchody/07.png";
} else if(pruchod=="1 4 5 6 7 8 F")
{
document.getElementById("obrazek").src="grafika/pruchody/08.png";
} else if(pruchod=="1 4 5 6 7 8 G")
{
document.getElementById("obrazek").src="grafika/pruchody/09.png";
} else if(pruchod=="1 4 5 7 E")
{
document.getElementById("obrazek").src="grafika/pruchody/10.png";
} else if(pruchod=="1 4 5 7 8 F")
{
document.getElementById("obrazek").src="grafika/pruchody/11.png";
} else if(pruchod=="1 4 5 7 8 G")
{
document.getElementById("obrazek").src="grafika/pruchody/12.png";
} else if(pruchod=="1 4 7 E")
{
document.getElementById("obrazek").src="grafika/pruchody/13.png";
} else if(pruchod=="1 4 7 8 F")
{
document.getElementById("obrazek").src="grafika/pruchody/14.png";
} else if(pruchod=="1 4 7 8 G")
{
document.getElementById("obrazek").src="grafika/pruchody/15.png";
} else {
  alert("došlo k chybě");
}

  }
}
